diff -N -P -r -c rtems-4.6.0pre4/cpukit/ChangeLog rtems-4.6.0pre5/cpukit/ChangeLog
*** rtems-4.6.0pre4/cpukit/ChangeLog	Thu Jul  3 10:38:09 2003
--- rtems-4.6.0pre5/cpukit/ChangeLog	Mon Oct 13 16:58:04 2003
***************
*** 1,3 ****
--- 1,103 ----
+ 2003-10-13	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.0pre5.
+ 
+ 2003-10-13	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.0pre5.
+ 
+ 2003-09-16	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.0.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/rtems/bspIo.h, include/rtems/fs.h, include/rtems/userenv.h,
+ 	score/include/rtems/debug.h, score/include/rtems/seterr.h,
+ 	score/include/rtems/system.h, score/include/rtems/score/address.h,
+ 	score/include/rtems/score/apiext.h,
+ 	score/include/rtems/score/apimutex.h,
+ 	score/include/rtems/score/bitfield.h,
+ 	score/include/rtems/score/chain.h,
+ 	score/include/rtems/score/context.h,
+ 	score/include/rtems/score/copyrt.h,
+ 	score/include/rtems/score/coremsg.h,
+ 	score/include/rtems/score/coremutex.h,
+ 	score/include/rtems/score/coresem.h,
+ 	score/include/rtems/score/heap.h, score/include/rtems/score/interr.h,
+ 	score/include/rtems/score/isr.h, score/include/rtems/score/mpci.h,
+ 	score/include/rtems/score/mppkt.h,
+ 	score/include/rtems/score/object.h,
+ 	score/include/rtems/score/objectmp.h,
+ 	score/include/rtems/score/priority.h,
+ 	score/include/rtems/score/stack.h,
+ 	score/include/rtems/score/states.h,
+ 	score/include/rtems/score/sysstate.h,
+ 	score/include/rtems/score/thread.h,
+ 	score/include/rtems/score/threadmp.h,
+ 	score/include/rtems/score/threadq.h, score/include/rtems/score/tod.h,
+ 	score/include/rtems/score/tqdata.h,
+ 	score/include/rtems/score/userext.h,
+ 	score/include/rtems/score/watchdog.h,
+ 	score/include/rtems/score/wkspace.h,
+ 	score/inline/rtems/score/address.inl,
+ 	score/inline/rtems/score/chain.inl,
+ 	score/inline/rtems/score/coremsg.inl,
+ 	score/inline/rtems/score/coremutex.inl,
+ 	score/inline/rtems/score/coresem.inl,
+ 	score/inline/rtems/score/heap.inl, score/inline/rtems/score/isr.inl,
+ 	score/inline/rtems/score/mppkt.inl,
+ 	score/inline/rtems/score/object.inl,
+ 	score/inline/rtems/score/objectmp.inl,
+ 	score/inline/rtems/score/priority.inl,
+ 	score/inline/rtems/score/stack.inl,
+ 	score/inline/rtems/score/states.inl,
+ 	score/inline/rtems/score/sysstate.inl,
+ 	score/inline/rtems/score/thread.inl,
+ 	score/inline/rtems/score/threadmp.inl,
+ 	score/inline/rtems/score/tod.inl,
+ 	score/inline/rtems/score/tqdata.inl,
+ 	score/inline/rtems/score/userext.inl,
+ 	score/inline/rtems/score/watchdog.inl,
+ 	score/inline/rtems/score/wkspace.inl,
+ 	score/macros/rtems/score/address.inl,
+ 	score/macros/rtems/score/chain.inl,
+ 	score/macros/rtems/score/coremsg.inl,
+ 	score/macros/rtems/score/coremutex.inl,
+ 	score/macros/rtems/score/coresem.inl,
+ 	score/macros/rtems/score/heap.inl, score/macros/rtems/score/isr.inl,
+ 	score/macros/rtems/score/mppkt.inl,
+ 	score/macros/rtems/score/object.inl,
+ 	score/macros/rtems/score/objectmp.inl,
+ 	score/macros/rtems/score/priority.inl,
+ 	score/macros/rtems/score/stack.inl,
+ 	score/macros/rtems/score/states.inl,
+ 	score/macros/rtems/score/sysstate.inl,
+ 	score/macros/rtems/score/thread.inl,
+ 	score/macros/rtems/score/threadmp.inl,
+ 	score/macros/rtems/score/tod.inl,
+ 	score/macros/rtems/score/tqdata.inl,
+ 	score/macros/rtems/score/userext.inl,
+ 	score/macros/rtems/score/watchdog.inl,
+ 	score/macros/rtems/score/wkspace.inl: URL for license changed.
+ 
+ 2003-08-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/rtems-top.m4: Add RTEMS_API.
+ 	AC_DEFAULT_PREFIX([/opt/rtems-][RTEMS_API]).
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-07-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/multi.m4: Don't add --enable-multilib.
+ 	Rename AC_ENABLE_MULTILIB into AM_ENABLE_MULTILIB.
+ 	Increment serial to 103 (automake's multi.m4 version + 100).
+ 	* configure.ac: Use AM_ENABLE_MULTILIB instead of
+ 	AC_ENABLE_MULTILIB.
+ 
  2003-07-03	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.0pre4.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/ada/ChangeLog rtems-4.6.0pre5/cpukit/ada/ChangeLog
*** rtems-4.6.0pre4/cpukit/ada/ChangeLog	Thu Mar  6 03:40:31 2003
--- rtems-4.6.0pre5/cpukit/ada/ChangeLog	Thu Sep  4 13:46:47 2003
***************
*** 1,3 ****
--- 1,17 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* rtems-multiprocessing.adb, rtems-multiprocessing.ads, rtems.adb,
+ 	rtems.ads: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-07-08	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 418/ada
+ 	* rtems.adb: Add missing all keyword to derefence pointer.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/itron/ChangeLog rtems-4.6.0pre5/cpukit/itron/ChangeLog
*** rtems-4.6.0pre4/cpukit/itron/ChangeLog	Thu Mar  6 03:38:15 2003
--- rtems-4.6.0pre5/cpukit/itron/ChangeLog	Thu Sep  4 13:46:51 2003
***************
*** 1,3 ****
--- 1,53 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/itron.h, include/itronsys/eventflags.h,
+ 	include/itronsys/fmempool.h, include/itronsys/intr.h,
+ 	include/itronsys/mbox.h, include/itronsys/msgbuffer.h,
+ 	include/itronsys/network.h, include/itronsys/port.h,
+ 	include/itronsys/semaphore.h, include/itronsys/status.h,
+ 	include/itronsys/sysmgmt.h, include/itronsys/task.h,
+ 	include/itronsys/time.h, include/itronsys/types.h,
+ 	include/itronsys/vmempool.h, include/rtems/itron/config.h,
+ 	include/rtems/itron/eventflags.h, include/rtems/itron/fmempool.h,
+ 	include/rtems/itron/intr.h, include/rtems/itron/itronapi.h,
+ 	include/rtems/itron/mbox.h, include/rtems/itron/msgbuffer.h,
+ 	include/rtems/itron/network.h, include/rtems/itron/object.h,
+ 	include/rtems/itron/port.h, include/rtems/itron/semaphore.h,
+ 	include/rtems/itron/sysmgmt.h, include/rtems/itron/task.h,
+ 	include/rtems/itron/time.h, include/rtems/itron/vmempool.h,
+ 	inline/rtems/itron/eventflags.inl, inline/rtems/itron/fmempool.inl,
+ 	inline/rtems/itron/intr.inl, inline/rtems/itron/mbox.inl,
+ 	inline/rtems/itron/msgbuffer.inl, inline/rtems/itron/network.inl,
+ 	inline/rtems/itron/port.inl, inline/rtems/itron/semaphore.inl,
+ 	inline/rtems/itron/sysmgmt.inl, inline/rtems/itron/task.inl,
+ 	inline/rtems/itron/time.inl, inline/rtems/itron/vmempool.inl,
+ 	macros/rtems/itron/eventflags.inl, macros/rtems/itron/fmempool.inl,
+ 	macros/rtems/itron/intr.inl, macros/rtems/itron/mbox.inl,
+ 	macros/rtems/itron/msgbuffer.inl, macros/rtems/itron/network.inl,
+ 	macros/rtems/itron/port.inl, macros/rtems/itron/semaphore.inl,
+ 	macros/rtems/itron/sysmgmt.inl, macros/rtems/itron/task.inl,
+ 	macros/rtems/itron/time.inl, macros/rtems/itron/vmempool.inl,
+ 	src/can_wup.c, src/chg_pri.c, src/cre_mbf.c, src/cre_mbx.c,
+ 	src/cre_sem.c, src/cre_tsk.c, src/del_mbf.c, src/del_mbx.c,
+ 	src/del_sem.c, src/del_tsk.c, src/dis_dsp.c, src/ena_dsp.c,
+ 	src/eventflags.c, src/exd_tsk.c, src/ext_tsk.c, src/fmempool.c,
+ 	src/frsm_tsk.c, src/get_tid.c, src/itronintr.c, src/itronsem.c,
+ 	src/itrontime.c, src/mbox.c, src/mboxtranslatereturncode.c,
+ 	src/msgbuffer.c, src/msgbuffertranslatereturncode.c, src/network.c,
+ 	src/port.c, src/prcv_mbf.c, src/prcv_mbx.c, src/preq_sem.c,
+ 	src/psnd_mbf.c, src/rcv_mbf.c, src/rcv_mbx.c, src/ref_mbf.c,
+ 	src/ref_mbx.c, src/ref_sem.c, src/ref_tsk.c, src/rel_wai.c,
+ 	src/rot_rdq.c, src/rsm_tsk.c, src/sig_sem.c, src/slp_tsk.c,
+ 	src/snd_mbf.c, src/snd_mbx.c, src/sta_tsk.c, src/sus_tsk.c,
+ 	src/sysmgmt.c, src/task.c, src/ter_tsk.c, src/trcv_mbf.c,
+ 	src/trcv_mbx.c, src/tslp_tsk.c, src/tsnd_mbf.c, src/twai_sem.c,
+ 	src/vmempool.c, src/wai_sem.c, src/wup_tsk.c: URL for license
+ 	changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/libblock/ChangeLog rtems-4.6.0pre5/cpukit/libblock/ChangeLog
*** rtems-4.6.0pre4/cpukit/libblock/ChangeLog	Wed Jun  4 15:28:57 2003
--- rtems-4.6.0pre5/cpukit/libblock/ChangeLog	Thu Sep  4 13:46:53 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/rtems/ide_part_table.h, src/ide_part_table.c: URL for license
+ 	changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-06-04	Joel Sherrill <joel@OARcorp.com>
  
  	* src/ide_part_table.c: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/libcsupport/ChangeLog rtems-4.6.0pre5/cpukit/libcsupport/ChangeLog
*** rtems-4.6.0pre4/cpukit/libcsupport/ChangeLog	Wed Jul  2 11:30:52 2003
--- rtems-4.6.0pre5/cpukit/libcsupport/ChangeLog	Thu Oct  2 07:38:52 2003
***************
*** 1,3 ****
--- 1,103 ----
+ 2003-10-02	Phil Torre <ptorre@zetron.com>
+ 
+ 	PR 504/rtems
+ 	* src/newlibc.c: Fix memory allocation of libc extension so it is
+ 	dispatch disabled safe See PR for detailed explanation.
+ 
+ 2003-09-26	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 498/rtems
+ 	* src/printk.c: RTEMS printk() does not support the %i format which is
+ 	used by a lot of driver/BSP etc. code. The trivial patch allows %i/%I
+ 	as an alias for %d/%D.
+ 
+ 2003-09-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 489/rtems
+ 	* src/newlibc.c: Reflect struct Thread_Control_struct.libc_reent 
+ 	having changed from void * to struct _reent*.
+ 
+ 2003-09-13	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 486/rtems
+ 	* src/newlib.c: Unconditionally include <stdio.h>
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/chain.h, include/clockdrv.h, include/console.h,
+ 	include/iosupp.h, include/rtc.h, include/spurious.h,
+ 	include/timerdrv.h, include/vmeintr.h, include/motorola/mc68230.h,
+ 	include/rtems/libcsupport.h, include/rtems/libio.h,
+ 	include/rtems/libio_.h, include/rtems/termiostypes.h,
+ 	include/sys/termios.h, include/zilog/z8036.h, include/zilog/z8530.h,
+ 	include/zilog/z8536.h, src/__brk.c, src/__gettod.c, src/__sbrk.c,
+ 	src/__times.c, src/access.c, src/base_fs.c, src/cfgetispeed.c,
+ 	src/cfgetospeed.c, src/cfsetispeed.c, src/cfsetospeed.c, src/chdir.c,
+ 	src/chmod.c, src/chown.c, src/chroot.c, src/close.c, src/ctermid.c,
+ 	src/dup.c, src/dup2.c, src/eval.c, src/fchdir.c, src/fchmod.c,
+ 	src/fcntl.c, src/fdatasync.c, src/fpathconf.c,
+ 	src/fs_null_handlers.c, src/fstat.c, src/fsync.c, src/ftruncate.c,
+ 	src/getdents.c, src/getpwent.c, src/hosterr.c, src/ioctl.c,
+ 	src/isatty.c, src/libio.c, src/libio_sockets.c, src/link.c,
+ 	src/lseek.c, src/lstat.c, src/malloc.c, src/mallocfreespace.c,
+ 	src/mkdir.c, src/mkfifo.c, src/mknod.c, src/mount.c, src/newlibc.c,
+ 	src/no_libc.c, src/no_posix.c, src/open.c, src/pathconf.c,
+ 	src/pipe.c, src/privateenv.c, src/read.c, src/readlink.c,
+ 	src/rewinddir.c, src/rmdir.c, src/seekdir.c, src/stat.c,
+ 	src/symlink.c, src/tcdrain.c, src/tcflow.c, src/tcflush.c,
+ 	src/tcgetattr.c, src/tcgetprgrp.c, src/tcsendbreak.c,
+ 	src/tcsetattr.c, src/tcsetpgrp.c, src/telldir.c, src/termios.c,
+ 	src/termiosinitialize.c, src/truncate.c, src/umask.c, src/unixlibc.c,
+ 	src/unlink.c, src/unmount.c, src/utime.c, src/write.c: URL for
+ 	license changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 479/rtems_misc
+ 	* src/malloc.c: Per multiple standards realloc does not free the
+ 	original memory if the allocation of the requested larger block
+ 	fails.
+ 
+ 2003-09-02	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* src/open.c: Fix typo.
+ 
+ 2003-09-02	Ilya Alexeev <ilya@continuum.ru>
+ 
+ 	PR 472/filesystem
+ 	src/malloc.c: Need to include apimutex.h when MALLOC_STATS is defined.
+ 
+ 2003-08-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 449/rtems:
+ 	* src/getegid.c: New (Copied from ../posix/src).
+ 	* src/geteuid.c: New (Copied from ../posix/src).
+ 	* src/getgid.c: New (Copied from ../posix/src).
+ 	* src/getgroups.c: New (Copied from ../posix/src).
+ 	* src/getlogin.c: New (Copied from ../posix/src).
+ 	* src/getpgrp.c: New (Copied from ../posix/src).
+ 	* src/getpid.c: New (Copied from ../posix/src).
+ 	* src/getppid.c: New (Copied from ../posix/src).
+ 	* src/getuid.c: New (Copied from ../posix/src).
+ 	* src/setpgid.c: New (Copied from ../posix/src).
+ 	* src/setsid.c: New (Copied from ../posix/src).
+ 	* src/no_posix: Remove getpid and _getpid_r.
+ 	* Makefile.am: Reflect changes above.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-08-05	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 442/filesystem
+ 	* src/open.c: file never closed if ftruncate() fails in open()
+ 
+ 2003-07-08	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 419/rtems
+ 	* src/termios.c: Removed warning.
+ 
  2003-07-02	Chris Johns <cjohns@cybertec.com.au>
  
  	* include/rtems/libio.h, src/termios.c: Patch by Chris Johns
diff -N -P -r -c rtems-4.6.0pre4/cpukit/libfs/ChangeLog rtems-4.6.0pre5/cpukit/libfs/ChangeLog
*** rtems-4.6.0pre4/cpukit/libfs/ChangeLog	Wed Jul  2 11:31:06 2003
--- rtems-4.6.0pre5/cpukit/libfs/ChangeLog	Fri Sep 26 12:21:16 2003
***************
*** 1,3 ****
--- 1,75 ----
+ 2003-09-26	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 492/filesystem
+ 	* src/dosfs/fat_file.c: Fix inconsistent types in va_args call.
+ 
+ 2003-09-09	Ralf Corsepius <ralf_corsepius@rtems.com>
+ 
+ 	PR 487/filesystem
+ 	* src/dosfs/fat_file.c: Correct typing per gcc 3.3 warnings.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* src/dosfs/dosfs.h, src/dosfs/fat.h, src/dosfs/fat_fat_operations.h,
+ 	src/dosfs/fat_file.h, src/dosfs/msdos.h, src/dosfs/msdos_create.c,
+ 	src/dosfs/msdos_dir.c, src/dosfs/msdos_eval.c,
+ 	src/dosfs/msdos_file.c, src/dosfs/msdos_free.c,
+ 	src/dosfs/msdos_fsunmount.c, src/dosfs/msdos_handlers_dir.c,
+ 	src/dosfs/msdos_handlers_file.c, src/dosfs/msdos_init.c,
+ 	src/dosfs/msdos_initsupp.c, src/dosfs/msdos_misc.c,
+ 	src/dosfs/msdos_mknod.c, src/dosfs/msdos_node_type.c,
+ 	src/imfs/deviceio.c, src/imfs/imfs.h, src/imfs/imfs_chown.c,
+ 	src/imfs/imfs_config.c, src/imfs/imfs_creat.c, src/imfs/imfs_debug.c,
+ 	src/imfs/imfs_directory.c, src/imfs/imfs_eval.c,
+ 	src/imfs/imfs_fchmod.c, src/imfs/imfs_fcntl.c,
+ 	src/imfs/imfs_fdatasync.c, src/imfs/imfs_free.c,
+ 	src/imfs/imfs_fsunmount.c, src/imfs/imfs_getchild.c,
+ 	src/imfs/imfs_gtkn.c, src/imfs/imfs_handlers_device.c,
+ 	src/imfs/imfs_handlers_directory.c, src/imfs/imfs_handlers_link.c,
+ 	src/imfs/imfs_handlers_memfile.c, src/imfs/imfs_init.c,
+ 	src/imfs/imfs_initsupp.c, src/imfs/imfs_link.c,
+ 	src/imfs/imfs_mknod.c, src/imfs/imfs_mount.c, src/imfs/imfs_ntype.c,
+ 	src/imfs/imfs_readlink.c, src/imfs/imfs_rmnod.c,
+ 	src/imfs/imfs_stat.c, src/imfs/imfs_symlink.c,
+ 	src/imfs/imfs_unixstub.c, src/imfs/imfs_unlink.c,
+ 	src/imfs/imfs_unmount.c, src/imfs/imfs_utime.c, src/imfs/ioman.c,
+ 	src/imfs/linearfile.c, src/imfs/memfile.c, src/imfs/miniimfs_init.c:
+ 	URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-08-05	<djc915@mail.usask.ca>
+ 
+ 	PR 443/filesystem
+ 	* src/imfs/deviceio.c: deviceio.c mishandles return codes
+ 
+ 2003-08-05	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 439/filesystem
+ 	* src/dosfs/fat_file.c: flush temporary buffer when closing files
+ 
+ 2003-08-04      Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+         PR 441/filesystem
+         * src/dosfs/msdos.h: add rename support to DOSFS
+         * src/dosfs/msdos_create.c: add rename support to DOSFS
+         * src/dosfs/msdos_file.c: add rename support to DOSFS
+         * src/dosfs/msdos_init.c: add rename support to DOSFS
+         * src/dosfs/msdos_mknod.c: add rename support to DOSFS
+ 
+ 2003-07-15	Chris Johns <cjohns@cybertec.com.au>
+ 	* src/dosfs/msdos.h: PR431. MSDOS Volume semaphore timeout is now
+ 	NO TIMEOUT. MSDOS volume opertations will wait for ever.
+ 
+ 2003-07-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* src/dosfs/fat.c: include config-header "config.h".
+ 	* src/dosfs/fat_fat_operations.c: Ditto.
+ 	* src/dosfs/fat_file.c: Ditto.
+ 	* src/dosfs/msdos_conv.c: Ditto.
+ 
  2003-07-02	Chris Johns <cjohns@cybertec.com.au>
  
  	* src/dosfs/Makefile.am, src/dosfs/msdos.h,
diff -N -P -r -c rtems-4.6.0pre4/cpukit/libmisc/ChangeLog rtems-4.6.0pre5/cpukit/libmisc/ChangeLog
*** rtems-4.6.0pre4/cpukit/libmisc/ChangeLog	Wed Jun  4 15:33:48 2003
--- rtems-4.6.0pre5/cpukit/libmisc/ChangeLog	Thu Sep  4 13:47:05 2003
***************
*** 1,3 ****
--- 1,78 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpuuse/cpuuse.c, cpuuse/cpuuse.h, devnull/devnull.c,
+ 	devnull/devnull.h, dummy/dummy.c, dumpbuf/dumpbuf.c,
+ 	dumpbuf/dumpbuf.h, fsmount/fsmount.c, fsmount/fsmount.h,
+ 	serdbg/serdbgio.c, serdbg/termios_printk.c, stackchk/check.c,
+ 	stackchk/internal.h, stackchk/stackchk.h, untar/untar.c,
+ 	untar/untar.h: URL for license changed.
+ 
+ 2003-08-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* fsmount/Makefile.am: Revert previous change.
+ 
+ 2003-08-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* fsmount/Makefile.am: Fix path to automake-includes.
+ 
+ 2003-08-13	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* fsmount/.cvsignore: New file.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-08-06	Thomas Doerfler<Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 369/filesystem
+ 	* Makefile.am, shell/cmds.c, wrapup/Makefile.am: sample application to
+ 	show the use of the DOSFS functions
+ 	* fsmount/Makefile.am, fsmount/README, fsmount/fsmount.c,
+ 	fsmount/fsmount.h: New files.
+ 
+ 2003-08-05	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 436/rtems_misc
+ 	* monitor/mon-monitor.c: monitor registered commands list manipulation bugs
+ 
+ 2003-07-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* capture/capture-cli.c: Add config-header support.
+ 	* capture/capture.c: Add config-header support.
+ 	* cpuuse/cpuuse.c: Add config-header support.
+ 	* devnull/devnull.c: Add config-header support.
+ 	* dummy/dummy.c: Add config-header support.
+ 	* dumpbuf/dumpbuf.c: Add config-header support.
+ 	* monitor/mon-command.c: Add config-header support.
+ 	* monitor/mon-config.c: Add config-header support.
+ 	* monitor/mon-dname.c: Add config-header support.
+ 	* monitor/mon-driver.c: Add config-header support.
+ 	* monitor/mon-extension.c: Add config-header support.
+ 	* monitor/mon-itask.c: Add config-header support.
+ 	* monitor/mon-manager.c: Add config-header support.
+ 	* monitor/mon-monitor.c: Add config-header support.
+ 	* monitor/mon-mpci.c: Add config-header support.
+ 	* monitor/mon-object.c: Add config-header support.
+ 	* monitor/mon-prmisc.c: Add config-header support.
+ 	* monitor/mon-queue.c: Add config-header support.
+ 	* monitor/mon-server.c: Add config-header support.
+ 	* monitor/mon-symbols.c: Add config-header support.
+ 	* monitor/mon-task.c: Add config-header support.
+ 	* mw-fb/mw_fb.c: Add config-header support.
+ 	* mw-fb/mw_uid.c: Add config-header support.
+ 	* rtmonuse/rtmonuse.c: Add config-header support.
+ 	* serdbg/serdbg.c: Add config-header support.
+ 	* serdbg/serdbgio.c: Add config-header support.
+ 	* serdbg/termios_printk.c: Add config-header support.
+ 	* shell/cmds.c: Add config-header support.
+ 	* stackchk/check.c: Add config-header support.
+ 	* untar/untar.c: Add config-header support.
+ 
+ 2003-07-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove RTEMS_BSP from RTEMS_CHECK_MULTIPROCESSING.
+ 
  2003-06-04	Joel Sherrill <joel@OARcorp.com>
  
  	* stackchk/check.c: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/libnetworking/ChangeLog rtems-4.6.0pre5/cpukit/libnetworking/ChangeLog
*** rtems-4.6.0pre4/cpukit/libnetworking/ChangeLog	Thu Jul  3 10:37:16 2003
--- rtems-4.6.0pre5/cpukit/libnetworking/ChangeLog	Mon Sep 15 09:39:41 2003
***************
*** 1,3 ****
--- 1,33 ----
+ 2003-09-15	Jay Monkman <jtm@smothsmothie.com>
+ 
+ 	PR 481/networking
+ 	* net/ethernet.h, net/if_arp.h, netinet/if_ether.h: Network structs
+ 	should be packed
+ 
+ 2003-09-15	Jay Monkman <jtm@smoothsmoothie.com>
+ 
+ 	PR 482/networking
+ 	* rtems/rtems_glue.c: Network interfaces cant be taken down
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* rtems/mkrootfs.c, rtems/mkrootfs.h: URL for license changed.
+ 
+ 2003-09-02	Jiri Gaisler <jiri@gaisler.com>
+ 
+ 	PR 476/networking
+ 	* machine/in_cksum.h: Fix in_cksum calculation on SPARC.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-08-06	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 435/networking
+ 	* rtems/rtems_showifstat.c: rtems_showifstat misses printing 
+ 	the netmask 
+ 
  2003-05-29	Joel Sherrill <joel@OARcorp.com>
  
  	* rtems/rtems_syscall.c: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/librpc/ChangeLog rtems-4.6.0pre5/cpukit/librpc/ChangeLog
*** rtems-4.6.0pre4/cpukit/librpc/ChangeLog	Thu Mar  6 03:38:48 2003
--- rtems-4.6.0pre5/cpukit/librpc/ChangeLog	Mon Aug 11 09:41:00 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/posix/ChangeLog rtems-4.6.0pre5/cpukit/posix/ChangeLog
*** rtems-4.6.0pre4/cpukit/posix/ChangeLog	Thu Mar  6 03:38:54 2003
--- rtems-4.6.0pre5/cpukit/posix/ChangeLog	Mon Oct 13 16:37:42 2003
***************
*** 1,3 ****
--- 1,67 ----
+ 2003-10-13	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* src/cleanuppop.c, src/cleanuppush.c: Protect use of
+ 	_Workspace_Allocate and _Workspec_Free.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/rtems/posix/cond.h, include/rtems/posix/condmp.h,
+ 	include/rtems/posix/config.h, include/rtems/posix/intr.h,
+ 	include/rtems/posix/key.h, include/rtems/posix/mqueue.h,
+ 	include/rtems/posix/mqueuemp.h, include/rtems/posix/mutex.h,
+ 	include/rtems/posix/mutexmp.h, include/rtems/posix/posixapi.h,
+ 	include/rtems/posix/pthread.h, include/rtems/posix/pthreadmp.h,
+ 	include/rtems/posix/ptimer.h, include/rtems/posix/semaphore.h,
+ 	include/rtems/posix/semaphoremp.h, inline/rtems/posix/cond.inl,
+ 	inline/rtems/posix/intr.inl, inline/rtems/posix/key.inl,
+ 	inline/rtems/posix/mqueue.inl, inline/rtems/posix/mutex.inl,
+ 	inline/rtems/posix/pthread.inl, inline/rtems/posix/semaphore.inl,
+ 	inline/rtems/posix/timer.inl, macros/rtems/posix/cond.inl,
+ 	macros/rtems/posix/intr.inl, macros/rtems/posix/key.inl,
+ 	macros/rtems/posix/mqueue.inl, macros/rtems/posix/mutex.inl,
+ 	macros/rtems/posix/pthread.inl, macros/rtems/posix/semaphore.inl,
+ 	macros/rtems/posix/timer.inl, src/alarm.c, src/kill.c,
+ 	src/killinfo.c, src/mqueuetranslatereturncode.c, src/pause.c,
+ 	src/pthreadattrdestroy.c, src/pthreadattrgetdetachstate.c,
+ 	src/pthreadattrgetinheritsched.c, src/pthreadattrgetschedparam.c,
+ 	src/pthreadattrgetschedpolicy.c, src/pthreadattrgetscope.c,
+ 	src/pthreadattrgetstackaddr.c, src/pthreadattrgetstacksize.c,
+ 	src/pthreadattrinit.c, src/pthreadattrsetdetachstate.c,
+ 	src/pthreadattrsetinheritsched.c, src/pthreadattrsetschedparam.c,
+ 	src/pthreadattrsetschedpolicy.c, src/pthreadattrsetscope.c,
+ 	src/pthreadattrsetstackaddr.c, src/pthreadattrsetstacksize.c,
+ 	src/pthreadcreate.c, src/pthreaddetach.c, src/pthreadequal.c,
+ 	src/pthreadexit.c, src/pthreadgetcpuclockid.c,
+ 	src/pthreadgetcputime.c, src/pthreadgetschedparam.c,
+ 	src/pthreadjoin.c, src/pthreadkill.c, src/pthreadonce.c,
+ 	src/pthreadself.c, src/pthreadsetcputime.c,
+ 	src/pthreadsetschedparam.c, src/pthreadsigmask.c, src/sigaction.c,
+ 	src/sigaddset.c, src/sigdelset.c, src/sigemptyset.c,
+ 	src/sigfillset.c, src/sigismember.c, src/signal_2.c,
+ 	src/sigpending.c, src/sigprocmask.c, src/sigqueue.c,
+ 	src/sigsuspend.c, src/sigtimedwait.c, src/sigwait.c,
+ 	src/sigwaitinfo.c: URL for license changed.
+ 
+ 2003-08-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 449/rtems:
+ 	* src/getegid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/geteuid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getgid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getgroups.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getlogin.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getpgrp.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getpid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getppid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/getuid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/setpgid.c: Remove (Moved to ../libcsupport/src).
+ 	* src/setsid.c: Remove (Moved to ../libcsupport/src).
+ 	* Makefile.am: Reflect changes above
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/rtems/ChangeLog rtems-4.6.0pre5/cpukit/rtems/ChangeLog
*** rtems-4.6.0pre4/cpukit/rtems/ChangeLog	Thu Jun 12 10:36:25 2003
--- rtems-4.6.0pre5/cpukit/rtems/ChangeLog	Thu Sep 11 11:44:41 2003
***************
*** 1,3 ****
--- 1,77 ----
+ 2003-09-11	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 488/rtems
+ 	* src/taskcreate.c, src/tasks.c: Ensure notepads are zeroed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/rtems.h, include/rtems/rtems/asr.h,
+ 	include/rtems/rtems/attr.h, include/rtems/rtems/cache.h,
+ 	include/rtems/rtems/clock.h, include/rtems/rtems/config.h,
+ 	include/rtems/rtems/dpmem.h, include/rtems/rtems/event.h,
+ 	include/rtems/rtems/eventmp.h, include/rtems/rtems/eventset.h,
+ 	include/rtems/rtems/intr.h, include/rtems/rtems/message.h,
+ 	include/rtems/rtems/modes.h, include/rtems/rtems/mp.h,
+ 	include/rtems/rtems/msgmp.h, include/rtems/rtems/options.h,
+ 	include/rtems/rtems/part.h, include/rtems/rtems/partmp.h,
+ 	include/rtems/rtems/ratemon.h, include/rtems/rtems/region.h,
+ 	include/rtems/rtems/regionmp.h, include/rtems/rtems/rtemsapi.h,
+ 	include/rtems/rtems/sem.h, include/rtems/rtems/semmp.h,
+ 	include/rtems/rtems/signal.h, include/rtems/rtems/signalmp.h,
+ 	include/rtems/rtems/status.h, include/rtems/rtems/support.h,
+ 	include/rtems/rtems/taskmp.h, include/rtems/rtems/tasks.h,
+ 	include/rtems/rtems/timer.h, include/rtems/rtems/types.h,
+ 	inline/rtems/rtems/asr.inl, inline/rtems/rtems/attr.inl,
+ 	inline/rtems/rtems/dpmem.inl, inline/rtems/rtems/event.inl,
+ 	inline/rtems/rtems/eventset.inl, inline/rtems/rtems/message.inl,
+ 	inline/rtems/rtems/modes.inl, inline/rtems/rtems/options.inl,
+ 	inline/rtems/rtems/part.inl, inline/rtems/rtems/ratemon.inl,
+ 	inline/rtems/rtems/region.inl, inline/rtems/rtems/sem.inl,
+ 	inline/rtems/rtems/status.inl, inline/rtems/rtems/support.inl,
+ 	inline/rtems/rtems/tasks.inl, inline/rtems/rtems/timer.inl,
+ 	macros/rtems/rtems/asr.inl, macros/rtems/rtems/attr.inl,
+ 	macros/rtems/rtems/dpmem.inl, macros/rtems/rtems/event.inl,
+ 	macros/rtems/rtems/eventset.inl, macros/rtems/rtems/message.inl,
+ 	macros/rtems/rtems/modes.inl, macros/rtems/rtems/options.inl,
+ 	macros/rtems/rtems/part.inl, macros/rtems/rtems/ratemon.inl,
+ 	macros/rtems/rtems/region.inl, macros/rtems/rtems/sem.inl,
+ 	macros/rtems/rtems/status.inl, macros/rtems/rtems/support.inl,
+ 	macros/rtems/rtems/tasks.inl, macros/rtems/rtems/timer.inl,
+ 	src/attr.c, src/clockget.c, src/clockset.c, src/clocktick.c,
+ 	src/dpmem.c, src/dpmemcreate.c, src/dpmemdelete.c,
+ 	src/dpmemexternal2internal.c, src/dpmemident.c,
+ 	src/dpmeminternal2external.c, src/event.c, src/eventmp.c,
+ 	src/eventreceive.c, src/eventseize.c, src/eventsend.c,
+ 	src/eventsurrender.c, src/eventtimeout.c, src/intr.c, src/intrbody.c,
+ 	src/intrcatch.c, src/mp.c, src/msg.c, src/msgmp.c,
+ 	src/msgqallocate.c, src/msgqbroadcast.c, src/msgqcreate.c,
+ 	src/msgqdelete.c, src/msgqflush.c, src/msgqgetnumberpending.c,
+ 	src/msgqident.c, src/msgqreceive.c, src/msgqsend.c, src/msgqsubmit.c,
+ 	src/msgqtranslatereturncode.c, src/msgqurgent.c, src/part.c,
+ 	src/partcreate.c, src/partdelete.c, src/partgetbuffer.c,
+ 	src/partident.c, src/partmp.c, src/partreturnbuffer.c, src/ratemon.c,
+ 	src/ratemoncancel.c, src/ratemoncreate.c, src/ratemondelete.c,
+ 	src/ratemongetstatus.c, src/ratemonident.c, src/ratemonperiod.c,
+ 	src/ratemontimeout.c, src/region.c, src/regioncreate.c,
+ 	src/regiondelete.c, src/regionextend.c, src/regiongetinfo.c,
+ 	src/regiongetsegment.c, src/regiongetsegmentsize.c,
+ 	src/regionident.c, src/regionmp.c, src/regionreturnsegment.c,
+ 	src/rtclock.c, src/rtemstimer.c, src/sem.c, src/semcreate.c,
+ 	src/semdelete.c, src/semflush.c, src/semident.c, src/semmp.c,
+ 	src/semobtain.c, src/semrelease.c, src/semtranslatereturncode.c,
+ 	src/signal.c, src/signalcatch.c, src/signalmp.c, src/signalsend.c,
+ 	src/taskcreate.c, src/taskdelete.c, src/taskgetnote.c,
+ 	src/taskident.c, src/taskinitusers.c, src/taskissuspended.c,
+ 	src/taskmode.c, src/taskmp.c, src/taskrestart.c, src/taskresume.c,
+ 	src/tasks.c, src/tasksetnote.c, src/tasksetpriority.c,
+ 	src/taskstart.c, src/tasksuspend.c, src/taskvariableadd.c,
+ 	src/taskvariabledelete.c, src/taskvariableget.c, src/taskwakeafter.c,
+ 	src/taskwakewhen.c, src/timercancel.c, src/timercreate.c,
+ 	src/timerdelete.c, src/timerfireafter.c, src/timerfirewhen.c,
+ 	src/timergetinfo.c, src/timerident.c, src/timerreset.c,
+ 	src/timerserver.c, src/timerserverfireafter.c,
+ 	src/timerserverfirewhen.c: URL for license changed.
+ 
  2003-06-12	Joel Sherrill <joel@OARcorp.com>
  
  	* include/rtems/rtems/msgmp.h, include/rtems/rtems/partmp.h,
diff -N -P -r -c rtems-4.6.0pre4/cpukit/sapi/ChangeLog rtems-4.6.0pre5/cpukit/sapi/ChangeLog
*** rtems-4.6.0pre4/cpukit/sapi/ChangeLog	Thu Mar  6 00:51:56 2003
--- rtems-4.6.0pre5/cpukit/sapi/ChangeLog	Thu Sep  4 13:47:20 2003
***************
*** 1,3 ****
--- 1,14 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/confdefs.h, include/rtems/config.h,
+ 	include/rtems/extension.h, include/rtems/fatal.h,
+ 	include/rtems/init.h, include/rtems/io.h, include/rtems/mptables.h,
+ 	include/rtems/sptables.h, inline/rtems/extension.inl,
+ 	macros/rtems/extension.inl, src/debug.c, src/exinit.c,
+ 	src/extension.c, src/extensioncreate.c, src/extensiondelete.c,
+ 	src/extensionident.c, src/fatal.c, src/io.c, src/itronapi.c,
+ 	src/posixapi.c, src/rtemsapi.c: URL for license changed.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* Makefile.am: Remove stray reference to sptables.h.in.
